# Uses of Class
org.eclipse.jdt.core.dom.SingleVariableDeclaration

Packages that use SingleVariableDeclaration
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of SingleVariableDeclaration in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return SingleVariableDeclaration
Modifier and Type
Method
Description
`SingleVariableDeclaration`
CatchClause.`getException()`
Returns the exception variable declaration of this catch clause.
`SingleVariableDeclaration`
EnhancedForStatement.`getParameter()`
Returns the formal parameter in this enhanced for statement.
`SingleVariableDeclaration`
TypePattern.`getPatternVariable()`
Returns the pattern variable of Types Pattern.
`SingleVariableDeclaration`
PatternInstanceofExpression.`getRightOperand()`
Deprecated.
`SingleVariableDeclaration`
AST.`newSingleVariableDeclaration()`
Creates an unparented single variable declaration node owned by this AST.
Methods in org.eclipse.jdt.core.dom with parameters of type SingleVariableDeclaration
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(SingleVariableDeclaration node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(SingleVariableDeclaration node, Object other)`
Returns whether the given node and the other object match.
`void`
CatchClause.`setException(SingleVariableDeclaration exception)`
Sets the variable declaration of this catch clause.
`void`
EnhancedForStatement.`setParameter(SingleVariableDeclaration parameter)`
Sets the formal parameter in this enhanced for statement.
`void`
TypePattern.`setPatternVariable(SingleVariableDeclaration patternVariable)`
Sets the pattern variable.
`void`
PatternInstanceofExpression.`setRightOperand(SingleVariableDeclaration referenceDeclaration)`
Deprecated.
`boolean`
ASTVisitor.`visit(SingleVariableDeclaration node)`
Visits the given type-specific AST node.